import { SimpleLocalIntegration } from '../../core/index.js';
import { DsmrReaderConfigFlow } from './dsmr_reader.classes.configflow.js';
import { createDsmrReaderDiscoveryDescriptor } from './dsmr_reader.discovery.js';
import type { IDsmrReaderConfig } from './dsmr_reader.types.js';
import { dsmrReaderDomain, dsmrReaderProfile } from './dsmr_reader.types.js';

export class DsmrReaderIntegration extends SimpleLocalIntegration<IDsmrReaderConfig> {
  public readonly domain = dsmrReaderDomain;
  public readonly discoveryDescriptor = createDsmrReaderDiscoveryDescriptor();
  public readonly configFlow = new DsmrReaderConfigFlow();

  constructor() {
    super(dsmrReaderProfile);
  }
}

export class HomeAssistantDsmrReaderIntegration extends DsmrReaderIntegration {}
